using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;   

namespace GridCoveredRange
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridControl1.Properties.RowHeaders = false;
            this.gridControl1.Properties.ColHeaders = false;

            this.gridControl1.ColCount = 3;
            this.gridControl1.RowCount = 10;

            for (int i = 1; i <= this.gridControl1.RowCount; i++)
            {
                for (int j = 1; j <= this.gridControl1.ColCount ; j++)
                {
                    this.gridControl1.Model[i, j].Text = string.Format("{0}.{1}", (i-1)/3+1, j*i);

                    if (j != 3)
                        this.gridControl1.Model[i, j].BackColor = Color.LightGray; 
                }
            }
            this.gridControl1.Model.CoveredRanges.Add(GridRangeInfo.Cells(1, 1, 3, 1));
            this.gridControl1.Model.CoveredRanges.Add(GridRangeInfo.Cells(4, 1, 6, 1));
            this.gridControl1.Model.CoveredRanges.Add(GridRangeInfo.Cells(7, 1, 9, 1));    

 
        }
    }
}